Summary:	X.org video driver for VMware virtual video cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla wirtualnych kart graficznych VMware
Name:		xorg-driver-video-vmware
Version:	13.2.1
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vmware-%{version}.tar.bz2
# Source0-md5:	4c3912e4d8947f6c2fc1ee9e2f211d74
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libxatracker-devel >= 8
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4.38
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-proto-xineramaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.12.0
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= 2.4.38
Requires:	xorg-xserver-server >= 1.12.0
Provides:	xorg-driver-video
Obsoletes:	X11-driver-vmware < 1:7.0.0
Obsoletes:	XFree86-driver-vmware < 1:7.0.0
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for VMware virtual video cards. It auto-detects the
version of any virtual VMware SVGA adapter.

%description -l pl.UTF-8
Sterownik obrazu X.org dla wirtualnych kart graficznych VMware.
Wykrywa automatycznie wersję dowolnej wirtualnej karty SVGA VMware.

%prep
%setup -q -n xf86-video-vmware-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-vmwarectrl-client

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/vmwarectrl
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vmware_drv.so
%{_mandir}/man4/vmware.4*
%changelog
* Fri Nov 18 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-vmware.git;a=log;h=master

* Fri Nov 18 2016 Jan Palus <atler@pld-linux.org> d301480
- up to 13.2.1

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 34e2f6a
- release 3 (by relup.sh)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a2aab1
- due to xserver 1.17
- release 2 (by relup.sh)

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> a33d3a1
- updated to 13.1.0

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2270ea6
- xserver rebuild
- release 3 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> e57be6e
- xserver rebuild
- release 2 (by relup.sh)

* Thu Mar 27 2014 Jakub Bogusz <qboosh@pld-linux.org> e25933c
- updated to 13.0.2
- removed obsolete git patch

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 76b7706
- release 4 (by relup.sh)

* Wed Dec 25 2013 Jan Rękorajski <baggins@pld-linux.org> 0fed67c
- added updates from upstream git
- rel 3

* Wed Dec 25 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2654144
- release 2 (by relup.sh)

* Thu Apr 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 63193cb
- updated to 13.0.1
- removed obsolete build patch

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 94f6c39
- rel 3; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 267121c
- release 2 (by relup.sh)

* Wed Jan 16 2013 Jakub Bogusz <qboosh@pld-linux.org> a127fda
- updated to 13.0.0
- removed obsolete git patch

* Sun Sep 09 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 989524e
- rel 3; fix build with xserver 1.13 (patch from upstream git)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aca7b67
- release 2 (by relup.sh)

* Thu Mar 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 002e8cd
- updated to 12.0.2 (crash fixes)

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 21dbf01
- updated to 12.0.1; drm/3D/accelleration now uses libxatracker from Mesa

* Thu Jan 12 2012 Jakub Bogusz <qboosh@pld-linux.org> d11bc2a
- updated to 11.1.0

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 91a7639
- release 4

